#! /usr/bin/python

from grafik import *
import math

class Ball(TKreis):
   def __init__(self, startx, starty, Durchmesser, Masse, Farbe, Welt):
      TKreis.__init__(self)
      self.m=Masse  # g
      self.vx=0 # cm/s
      self.vy=0
      self.x=startx
      self.y=starty
      self.w=Welt
      self.d=Durchmesser
      TKreis.setFarbe(self,Farbe)
      TKreis.setFuellfarbe(self,Farbe)
      TKreis.setRadius(self,self.d/2)
      TKreis.setMPos(self,self.x,self.y)
      TKreis.zeigen(self)

   def bewegen(self):
      TKreis.loeschen(self)
      if TKreis.getXPos(self) > self.w.get_Breite()-self.d:
          self.vx=-self.vx
      if TKreis.getXPos(self) < 0:
          self.vx=-self.vx
      TKreis.pos_versetzen_um(self,self.vx,self.vy) # physikalisch: *dt (=1)
      TKreis.zeigen(self)

   def setVelo(self,v): 
      self.vx=v


if __name__=="__main__":
   mein_Bild=TZeichenblatt()
   mein_Bild.Init("schloss.gif")
   mein_Ball=Ball(mein_Bild.get_Breite()/2,mein_Bild.get_Hoehe()/2,20,1,"rot",mein_Bild)
   mein_Ball.setVelo(1)
   while 1:
      mein_Ball.bewegen()
      mein_Bild.refresh()
   Tkinter.mainloop()

